For the complete documentation index, see llms.txt. This page is also available as Markdown.

InquiryPriceInstanceTrafficPackage

1. API Description

This API (InquiryPriceInstanceTrafficPackage) is used to query the price of modified virtual machine instance data transfer package.

Note

Use this API only when internetChargeType is ByTrafficPackage.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceId

Yes

String

Instance ID(s).

To obtain the instance IDs, you can call DescribeInstances and look for instanceId in the response.

trafficPackageSize

Yes

Float

Size of data transfer package.

Value range: [0.0, +)

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

trafficPackagePrice

Array of PriceItem

Price of traffic package.

Kinds of prices may exist. For example, traffic package billing method may contain the package price and overage price.

4. Code Example

Query the price of modified instance traffic package。

POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceTrafficPackage
<Common Request Params>

Request:
{
  "instanceId": "instanceId",
  "trafficPackageSize": 100
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "trafficPackagePrice": [
      {
        "discount": 95.0,
        "discountPrice": 7524.0,
        "originalPrice": 7920.0,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": null
      },
      {
        "discount": 100.0,
        "discountPrice": null,
        "originalPrice": null,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": [
          {
            "stepStart": 0.0,
            "stepEnd": null,
            "unitPrice": 0.08,
            "discountUnitPrice": 0.08
          }
        ]
      }
    ]
  }
} 

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated